Kling Identify Face
kling-identify-face
Identify whether the video is suitable for lip-sync service.
Эндпоинты
Заголовок раздела «Эндпоинты»POST /v1/queue/kling-identify-face # Создать задачуGET /v1/queue/kling-identify-face/requests/{request_id}/status # Проверить статусGET /v1/queue/kling-identify-face/requests/{request_id}/response # Получить результатPUT /v1/queue/kling-identify-face/requests/{request_id}/cancel # Отменить задачуПараметры запроса
Заголовок раздела «Параметры запроса»curl --request 'POST' 'https://odirouter.ai/model/v1/queue/kling-identify-face' \ --header 'Authorization: Bearer YOUR_API_KEY' \ --header 'Content-Type: application/json' \ --location \ --data-raw '{ "video_url": "https://interactive-examples.mdn.mozilla.net/media/cc0-videos/flower.mp4"}'video_id string
Заголовок раздела «video_id string»Video ID
Used to specify the video and determine whether the video is available for lip-sync service
Either video_id or video_url must be provided, but not both at the same time
video_url string
Заголовок раздела «video_url string»URL to retrieve the uploaded video
Used to specify the video and determine whether the video is available for lip-sync service
Either video_id or video_url must be provided, but not both at the same time
Video requirements:
Supported formats: .mp4, .mov
File size: max 100MB
Duration: 2 to 60 seconds
Resolution: only 720p and 1080p supported
Dimensions: width and height between 512px and 2160px
The system will validate the video content, and will return an error code if there are any issues
Параметры ответа
Заголовок раздела «Параметры ответа»{ "request_id": "task_01hxyz...", "response_url": "https://odirouter.ai/model/v1/queue/kling-identify-face/requests/task_01hxyz.../response", "status_url": "https://odirouter.ai/model/v1/queue/kling-identify-face/requests/task_01hxyz.../status", "cancel_url": "https://odirouter.ai/model/v1/queue/kling-identify-face/requests/task_01hxyz.../cancel", "queue_position": 0}| Поле | Тип | Описание |
|---|---|---|
request_id | string | Идентификатор задачи для последующей проверки статуса, получения результата и отмены. |
response_url | string | URL для получения итогового результата. |
status_url | string | URL для проверки статуса задачи. |
cancel_url | string | URL для отмены задачи. |
queue_position | int | Текущая позиция в очереди. |